---
type: api
title: Delete trust relationship
description: Deletes a trust relationship.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-delete-trust-relationship
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-delete-trust-relationship
products:
  - Elastic Cloud Enterprise
---

# Delete trust relationship

## Paths

- `DELETE` `/platform/configuration/trust-relationships/{trust_relationship_id}`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#apikey)

#### Path Parameters

- `trust_relationship_id` (string)
  Identifier for the trust relationship

## Description

Deletes a trust relationship.

## Query String Parameters

- `version` (integer)
  If specified then checks for conflicts against the version stored in the persistent store (returned in 'x-cloud-resource-version' of the GET request)

## Responses

#### `200`

The request was valid and the trust relationship was deleted.

`application/json`

Type: `EmptyResponse`

#### `401`

You are not authorized to perform this action.

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
#### `404`

The trust relationship specified by {trust_relationship_id} cannot be found. (code: `trust_relationships.not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
DELETE /platform/configuration/trust-relationships/{trust_relationship_id}
```

#### curl

```curl
curl -X DELETE "/platform/configuration/trust-relationships/{trust_relationship_id}"
```

